{% extends "base.html" %}
    
{% block content %}
{{super()}}
<script src="{{ base_url }}/js/ide.js"></script> 
{% endblock %}

{% block extrahead %}

{% if config.extra.ace_style %}
{% if config.extra.ace_style['slate'] and config.extra.ace_style['default'] %}
<input id="ace_palette" autocomplete="off" class="md-toggle" data-ace-dark-mode="{{config.extra.ace_style['slate']}}" data-ace-light-mode="{{config.extra.ace_style['default']}}" type="checkbox"></input>
{% elif config.extra.ace_style['slate'] %}
<input id="ace_palette" autocomplete="off" class="md-toggle" data-ace-dark-mode="{{config.extra.ace_style['slate']}}" data-ace-light-mode="crimson_editor" type="checkbox"></input>
{% elif config.extra.ace_style['default'] %}
<input id="ace_palette" autocomplete="off" class="md-toggle" data-ace-dark-mode="tomorrow_night_bright" data-ace-light-mode="{{config.extra.ace_style['default']}}" type="checkbox"></input>
{% endif %}
{% else %}
<input id="ace_palette" autocomplete="off" class="md-toggle" data-ace-dark-mode="tomorrow_night_bright" data-ace-light-mode="crimson_editor" type="checkbox"></input>
{% endif %}
{% endblock %}

{% block libs %}
    {{ super() }}
    <!-- favicons -->
    <link rel="shortcut icon" href="../assets/images/favicon.ico" type="image/x-icon">
    <link rel="icon" href="../assets/images/favicon_32x32.png" sizes="32x32">
    <link rel="icon" href="../assets/images/favicon_96x96.png" sizes="96x96">
    <link rel="icon" href="../assets/images/favicon_144x144.png" sizes="144x144">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/highlight.js/11.5.0/styles/atom-one-light.min.css">
    <!-- Load CDNs : Pyodide (Python in WASM), Ace (Editor) and JQuery (Terminal) -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/highlight.js/11.5.0/highlight.min.js"></script>    
    <script src="https://cdnjs.cloudflare.com/ajax/libs/ace/1.4.12/ace.js" type="text/javascript" charset="utf-8"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/ace/1.4.12/ext-language_tools.min.js" type="text/javascript" charset="utf-8"></script>
    <script src="https://cdn.jsdelivr.net/pyodide/v0.17.0/full/pyodide.js"></script>
    <script src="https://cdn.jsdelivr.net/pyodide/v0.17.0/full/pyodide.asm.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/js-md5"></script>
    <script src="https://cdn.jsdelivr.net/npm/jquery"></script>
    <script src="https://cdn.jsdelivr.net/npm/jquery.terminal@2.23.0/js/jquery.terminal.min.js"></script>
    <link href="https://cdn.jsdelivr.net/npm/jquery.terminal@2.23.0/css/jquery.terminal.min.css" rel="stylesheet">
{% endblock %}
